server:
  port: 8080
  servlet:
    context-path: /msg-platform

spring:
  application:
    name: mci-server
  profiles:
    active: dev

  jackson:
    default-property-inclusion: non_null

mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
  global-config:
    db-config:
      logic-delete-field: deleted
      logic-delete-value: 1
      logic-not-delete-value: 0

sa-token:
  token-name: Authorization
  token-prefix: Bearer
  timeout: 86400
  active-timeout: -1
  is-concurrent: true
  is-share: true
  token-style: uuid
  is-log: false

management:
  endpoints:
    web:
      exposure:
        include: health,info
